﻿namespace Electric.Domain.Entities.Commons
{
    /// <summary>
    /// 实体
    /// </summary>
    public class Entity
    {
    }

    /// <summary>
    /// 带主键的实体
    /// </summary>
    /// <typeparam name="TKey">主键</typeparam>
    public class Entity<TKey> : Entity
    {
        /// <summary>
        /// 主键
        /// </summary>
        public TKey Id { get; protected set; }

        /// <summary>
        /// 构造函数
        /// </summary>
#pragma warning disable CS8618 // 在退出构造函数时，不可为 null 的字段必须包含非 null 值。请考虑声明为可以为 null。

        protected Entity()
#pragma warning restore CS8618 // 在退出构造函数时，不可为 null 的字段必须包含非 null 值。请考虑声明为可以为 null。
        {
        }

        /// <summary>
        /// 构造函数
        /// </summary>
        protected Entity(TKey id)
        {
            Id = id;
        }
    }
}