﻿using Electric.Domain.Entities.Identity;

using Microsoft.AspNetCore.Identity;
using Microsoft.Extensions.Logging;

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Electric.Domain.Manager.Identity
{
    public class RoleManager : RoleManager<EleRole>, IDomainService
    {
        private RoleStore _roleStore;

        public RoleManager(RoleStore store, IEnumerable<IRoleValidator<EleRole>> roleValidators,
            ILookupNormalizer keyNormalizer, IdentityErrorDescriber errors, ILogger<RoleManager> logger)
            : base(store, roleValidators, keyNormalizer, errors, logger)
        {
            _roleStore = store;
        }
    }
}