﻿namespace Electric.Domain.Shared.Entities.Identity
{
    /// <summary>
    /// 权限API方法
    /// </summary>
    public enum PermissionApiMethod
    {
        /// <summary>
        /// GET
        /// </summary>
        GET,

        /// <summary>
        /// POST
        /// </summary>
        POST,

        /// <summary>
        /// DELETE
        /// </summary>
        DELETE,

        /// <summary>
        /// PUT
        /// </summary>
        PUT,

        /// <summary>
        /// PATH
        /// </summary>
        PATH,

        /// <summary>
        /// HEAD
        /// </summary>
        HEAD,

        /// <summary>
        /// OPTIONS
        /// </summary>
        OPTIONS,

        /// <summary>
        /// TRACE
        /// </summary>
        TRACE,

        /// <summary>
        /// CONNECT
        /// </summary>
        CONNECT
    }
}